seqbind {bio3d} | R Documentation

## Combine Sequences by Rows Without Recycling

### Description

Take vectors and/or matrices arguments and combine them row-wise without recycling them (as is the case with `rbind`).

### Usage

    seqbind(..., blank = "-")

### Arguments

`...` | vectors, matrices, and/or alignment ‘fasta’ objects to combine.
`blank` | a character to add to short arguments, to achieve the same length as the longer argument.

### Value

Returns a list of class `"fasta"` with the following components:

`ali` | an alignment character matrix with a row per sequence and a column per equivalent aminoacid/nucleotide.
`id` | sequence names as identifers.
`call` | the matched call.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`seqaln`, `read.fasta`, `read.pdb`, `write.fasta`, `rbind`

### Examples

    ## Not run:
    ## Read two pdbs
    a.pdb <- read.pdb("1bg2")
    b.pdb <- read.pdb("1goj")

    seqs <- seqbind(aa321(a.pdb$atom[a.pdb$calpha,"resid"]),
                    aa321(b.pdb$atom[b.pdb$calpha,"resid"]))

    # seqaln(seqs)

    ## End(Not run)

[Package bio3d version 2.3-4 Index]